#

Function BIT-VECTOR-P

Syntax:

bit-vector-p object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type bit-vector; otherwise, returns false.

Examples:

     (bit-vector-p (make-array 6
                               :element-type 'bit
                               :fill-pointer t)) =>  true
     (bit-vector-p #*) =>  true
     (bit-vector-p (make-array 6)) =>  false

Affected By: None.

Exceptional Situations: None.

See Also:

typep

Notes:

     (bit-vector-p object) ==  (typep object 'bit-vector)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.